QGIS Application - Bug report #19279
Not possible to Print in Page Size DIN-A3 with Landscape orientation
2018-06-27 10:50 AM - Christoph Moebus

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2 Regression?: No
Operating System: Win 10 Pro (Version 1803 Build 17134.112)Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27107
Description

In QGIS 3.2 (and 3.0) it is not possible to print with a page size of DIN-A3 with a landscape orientation.

It will always print in a custom paper format, although the "Page properties" and also the "Page Setup" are correctly set!
We are located in Germany and therefor German Operating System with German printer drivers are used.

QGIS 3.x always resets the "Page Setup" to the custom paper format ("Bdf.Format").

It looks like it has something to do with the landscape orientation, because printing in DIN-A3 with Portrait Orientation works fine.

Associated revisions

Revision a87a7b72 - 2018-07-30 09:12 PM - Nyall Dawson

[layouts] Attempted fix for direct printing page orientation issues

Seems the earlier hack may no longer be valid for Qt5.

Fixes #18398, #18994, #19142, #19279

Revision 44332c14 - 2018-07-31 02:24 AM - Nyall Dawson

[layouts] Attempted fix for direct printing page orientation issues

Seems the earlier hack may no longer be valid for Qt5.

Fixes #18398, #18994, #19142, #19279

(cherry-picked from a87a7b72d)

History

#1 - 2018-06-27 11:24 AM - Thomas HG

We have the same problem here.

Our company is also located in Germany and we also can't print DIN A3 landscape.
So in our company we still have to use QGIS 2.18.

Not being able to print is pretty annoying using QGIS in a company environment.

I hope this will be fixed soon especially this bug exists since QGIS Version 3.0.0.
#2 - 2018-06-28 03:50 PM - Thomas HG

OK, after some testing it seems that printing in landscape does not work at all.
At least for page size in DIN format (e.g. DIN A4, DIN A3, DIN A2, DIN A1).

All printers tested request custom paper format.

#3 - 2018-07-23 02:01 PM - Christoph Moebus

In QGIS 3.2.1 this bug still exists!

#4 - 2018-07-30 09:12 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a87a7b72df6d3bbb71ac423cf61bf80a7de54354.
